{"openapi":"3.1.0","info":{"title":"Data La Rochelle Université catalog API","description":"This API can manage your datasets.","version":"1.5.8"},"servers":[{"url":"https://data.univ-lr.fr/api","description":"Generated server url"}],"security":[{"bearer-key":[]}],"paths":{"/v1/users/agreement":{"put":{"tags":["user-controller"],"summary":"Update current user agreement","operationId":"updateCurrentUserAgreement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAgreementDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserAgreementDTO"}}}}}}},"/v1/peoples/{id}":{"get":{"tags":["people-controller"],"operationId":"findPeopleById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PeopleDTO"}}}}}},"put":{"tags":["people-controller"],"operationId":"replaceEmployee","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PeopleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PeopleDTO"}}}}}},"delete":{"tags":["people-controller"],"operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/v1/datasets/{dataset_id}/versions/{version}":{"put":{"tags":["dataset-controller"],"summary":"Update a dataset by its id and version","operationId":"updateDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DatasetVersion"}}}}}}},"/v1/datasets/{dataset_id}/versions/{version}/type/{next_version}":{"put":{"tags":["dataset-controller"],"summary":"Publish a dataset by its id and versions (asynchronous)","operationId":"publishDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}},{"name":"next_version","in":"path","required":true,"schema":{"type":"string","enum":["MINOR","MAJOR","UPDATECURRENT"]}}],"responses":{"200":{"description":"OK"}}}},"/v1/datasets/{dataset_id}/users/{user_identifier}":{"put":{"tags":["dataset-controller"],"summary":"Add a contributor to a dataset","operationId":"addDatasetContributor","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"user_identifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["dataset-controller"],"summary":"Delete a dataset contributor","operationId":"deleteDatasetContributor","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"user_identifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/v1/datasets/{dataset_id}/link/{collection_alias}":{"put":{"tags":["dataset-controller"],"summary":"Link a dataset to a collection, the dataset must be published","operationId":"linkDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"collection_alias","in":"path","required":true,"schema":{"type":"string","maxLength":255,"minLength":2}}],"responses":{"200":{"description":"OK"}}}},"/v1/datasets/review/{dataset_id}/versions/{version}":{"put":{"tags":["dataset-controller"],"summary":"Review a dataset by its id and versions (asynchronous)","operationId":"reviewDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}}],"responses":{"200":{"description":"OK"}}}},"/v1/datasets/review/{dataset_id}/versions/{version}/type/{next_version}":{"put":{"tags":["dataset-controller"],"summary":"Publish a dataset by its id and versions (asynchronous)","operationId":"publishReviewDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}},{"name":"next_version","in":"path","required":true,"schema":{"type":"string","enum":["MINOR","MAJOR","UPDATECURRENT"]}}],"responses":{"200":{"description":"OK"}}}},"/batch/datasets/{dataset_id}/versions/{version}":{"put":{"tags":["batch-controller"],"summary":"Update a dataset","operationId":"updateDataset_1","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["MINOR","MAJOR","UPDATECURRENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DatasetVersion"}}}}}}},"/v1/peoples":{"post":{"tags":["people-controller"],"operationId":"createPeople","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PeopleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PeopleDTO"}}}}}}},"/v1/peoples/me":{"get":{"tags":["people-controller"],"operationId":"findMe","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PeopleDTO"}}}}}},"post":{"tags":["people-controller"],"operationId":"createMe","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PeopleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PeopleDTO"}}}}}}},"/v1/logos/{dataset_id}/versions/{version}":{"post":{"tags":["logo-controller"],"summary":"Upload a logo to a dataset","operationId":"addLogo","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK"}}},"delete":{"tags":["logo-controller"],"summary":"Delete a logo by its dataset id","operationId":"deleteLogo","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}}],"responses":{"200":{"description":"OK"}}}},"/v1/files/repositories/{repository_id}/datasets/{dataset_id}":{"post":{"tags":["file-controller"],"summary":"Upload a file to the user temp storage","operationId":"addFile","parameters":[{"name":"repository_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FileDTO"}}}}}}},"/v1/datasets":{"post":{"tags":["dataset-controller"],"summary":"Create a new dataset","operationId":"createDataset","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Identifier"}}}}}}},"/v1/datasets/return/{dataset_id}":{"post":{"tags":["dataset-controller"],"summary":"Return a review dataset by its id","operationId":"returnReviewDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string","maxLength":2000,"minLength":3}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/v1/datasets/duplicate":{"post":{"tags":["dataset-controller"],"summary":"Duplicate a dataset","operationId":"duplicateDataset","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DuplicateDatasetDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Identifier"}}}}}}},"/batch/datasets":{"post":{"tags":["batch-controller"],"summary":"Create a new dataset","operationId":"createDataset_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Identifier"}}}}}}},"/batch/datasets/import":{"post":{"tags":["batch-controller"],"summary":"Import a new dataset","operationId":"importDataset","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Identifier"}}}}}}},"/v1/users/search":{"get":{"tags":["user-controller"],"summary":"Search a university people, limited to 20 results","operationId":"searchUser","parameters":[{"name":"first_name","in":"query","required":false,"schema":{"type":"string","maxLength":255,"minLength":0}},{"name":"last_name","in":"query","required":false,"schema":{"type":"string","maxLength":255,"minLength":0}},{"name":"full_name","in":"query","required":false,"schema":{"type":"string","maxLength":255,"minLength":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SearchPersonResponse"}}}}}}},"/v1/users/me":{"get":{"tags":["user-controller"],"summary":"Get current user infos","operationId":"geCurrentUser","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}}}}}}},"/v1/users/catalog/search":{"get":{"tags":["user-controller"],"summary":"Search a UCLR catalog people, limited to 20 results","operationId":"searchCatalogUsers","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":255,"minLength":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchUserDTO"}}}}}}}},"/v1/users/affectation/{uid}":{"get":{"tags":["user-controller"],"summary":"Get university people affectation","operationId":"getAffectation","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AffectationDTO"}}}}}}},"/v1/semantic_artefacts/ontoportals/{ontoportal_id}/search":{"get":{"tags":["semantic-artefact-controller"],"summary":"Search ontologies in an OntoPortal (ontology repository and semantic artefact catalogue)","operationId":"searchOntoPortal","parameters":[{"name":"ontoportal_id","in":"path","required":true,"schema":{"type":"string","enum":["earth","eco","agro","bio_div"]}},{"name":"q","in":"query","required":true,"schema":{"type":"string","maxLength":255,"minLength":0}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","maxLength":2,"minLength":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SemanticArtefactDTO"}}}}}}}},"/v1/public/vocabularies/subjects":{"get":{"tags":["vocabulary-controller"],"summary":"Get subjects (source: Dataverse)","operationId":"getAllSubjects","parameters":[{"name":"id","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CodeListDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/resource_types":{"get":{"tags":["vocabulary-controller"],"summary":"Get all resource types (source: Dataverse)","operationId":"getAllResourceTypes","parameters":[{"name":"repositoryId","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CodeListDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/repositories":{"get":{"tags":["vocabulary-controller"],"summary":"Get all repositories","operationId":"getAllRepositories","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CodeListDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/metadata_languages":{"get":{"tags":["vocabulary-controller"],"summary":"Get all metadata languages","operationId":"getAllMetadataLanguages","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CodeListDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/licenses":{"get":{"tags":["vocabulary-controller"],"summary":"Get defaults licenses (source: NAKALA)","operationId":"getDefaultLicenses","parameters":[{"name":"currentId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LicenseDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/licenses/search":{"get":{"tags":["vocabulary-controller"],"summary":"Search licenses (source: NAKALA)","operationId":"searchLicenses","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LicenseDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/languages":{"get":{"tags":["vocabulary-controller"],"summary":"Get default languages (source: NAKALA)","operationId":"getDefaultLanguages","parameters":[{"name":"currentId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LanguageDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/languages/search":{"get":{"tags":["vocabulary-controller"],"summary":"Search languages (source: NAKALA)","operationId":"searchLanguages","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LanguageDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/description_languages":{"get":{"tags":["vocabulary-controller"],"summary":"Get all description languages","operationId":"getAllDescriptionLanguages","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CodeListDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/crs":{"get":{"tags":["vocabulary-controller"],"summary":"Get default coordinate reference systems (CRS) (source: proj4)","operationId":"getDefaultCrs","parameters":[{"name":"currentId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CodeListDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/crs/search":{"get":{"tags":["vocabulary-controller"],"summary":"Search Coordinate reference systems (source: proj4)","operationId":"searchCrs","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CodeListDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/countries":{"get":{"tags":["vocabulary-controller"],"summary":"Get all countries (source: Dataverse)","operationId":"getAllCountries","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CountryDTO"}}}}}},"security":[]}},"/v1/public/vocabularies/contributor_types":{"get":{"tags":["vocabulary-controller"],"summary":"Get contributor types","operationId":"getContributorTypes","parameters":[{"name":"repositoryId","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"ids","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CodeListDTO"}}}}}},"security":[]}},"/v1/public/search":{"get":{"tags":["search-controller"],"summary":"Search public datasets and/or collections","operationId":"search","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":255,"minLength":0}},{"name":"types","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"maximum":3}},{"name":"collectionAlias","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","maximum":500}},{"name":"isShowFacet","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"f","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"order","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"longitude","in":"query","required":false,"schema":{"type":"number","format":"double","maximum":180,"minimum":-180}},{"name":"latitude","in":"query","required":false,"schema":{"type":"number","format":"double","maximum":90,"minimum":-90}},{"name":"radius","in":"query","required":false,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CatalogSearchResponseDTO"}}}}},"security":[]}},"/v1/public/repositories/{repository_id}/citation_styles":{"get":{"tags":["repository-controller"],"summary":"Get citation styles for a repository","operationId":"getCitationStyles","parameters":[{"name":"repository_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CitationStyleDTO"}}}}}},"security":[]}},"/v1/public/logos/{dataset_id}":{"get":{"tags":["logo-controller"],"summary":"Download a logo by its dataset id","operationId":"downloadLogo","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[]}},"/v1/public/datasets":{"get":{"tags":["dataset-controller"],"summary":"Get a public dataset by its pid","operationId":"getPublicDatasetByPid","parameters":[{"name":"pid","in":"query","required":true,"schema":{"type":"string"}},{"name":"isLight","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DatasetDTO"}}}}},"security":[]}},"/v1/public/datasets/{dataset_id}":{"get":{"tags":["dataset-controller"],"summary":"Get a public dataset by its id","operationId":"getPublicDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isLight","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DatasetDTO"}}}}},"security":[]}},"/v1/public/datasets/{dataset_id}/files":{"get":{"tags":["dataset-controller"],"summary":"Get a public dataset by its id","operationId":"getPublicDatasetFiles","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FilesDTO"}}}}},"security":[]}},"/v1/public/datasets/{dataset_id}/download":{"get":{"tags":["dataset-controller"],"summary":"Download a public dataset by its id","operationId":"downloadPublicDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"format","in":"query","required":true,"schema":{"type":"string","enum":["PDF","JSON"]}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"fr"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[]}},"/v1/public/datasets/{dataset_id}/citation":{"get":{"tags":["dataset-controller"],"summary":"Get citation for a dataset by its id","operationId":"getDatasetCitation","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"style","in":"query","required":true,"schema":{"type":"string"}},{"name":"locale","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain;charset=utf-8":{"schema":{"type":"string"}},"text/plain; charset=utf-8":{"schema":{"type":"string"}}}}},"security":[]}},"/v1/public/datasets/search":{"get":{"tags":["dataset-controller"],"summary":"Search public datasets","operationId":"searchDatasets","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":255,"minLength":0}},{"name":"types","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"maximum":3}},{"name":"collectionAlias","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","maximum":500}},{"name":"isShowFacet","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"f","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"order","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"longitude","in":"query","required":false,"schema":{"type":"number","format":"double","maximum":180,"minimum":-180}},{"name":"latitude","in":"query","required":false,"schema":{"type":"number","format":"double","maximum":90,"minimum":-90}},{"name":"radius","in":"query","required":false,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CatalogSearchResponseDTO"}}}}},"security":[]}},"/v1/public/collections/{collection_alias}":{"get":{"tags":["collection-controller"],"summary":"Get public collection by id","operationId":"getPortal","parameters":[{"name":"collection_alias","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CollectionItemDTO"}}}}},"security":[]}},"/v1/public/collections/{collection_alias}/logos/{image_name}":{"get":{"tags":["collection-controller"],"summary":"Get public collection logo","operationId":"getLogo","parameters":[{"name":"collection_alias","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"image_name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[]}},"/v1/public/collections/search":{"get":{"tags":["collection-controller"],"summary":"Search public collections","operationId":"searchPortal","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":50,"minLength":0}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","maximum":25}},{"name":"order","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CatalogSearchCollectionResponseDTO"}}}}},"security":[]}},"/v1/public/collections/datasets/{dataset_id}":{"get":{"tags":["collection-controller"],"summary":"Get collections linked to a public dataset (published)","operationId":"getPortalsByPublicDatasetId","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CollectionItemDTO"}}}}}},"security":[]}},"/v1/public/announcements":{"get":{"tags":["announcement-controller"],"summary":"Get announcements","operationId":"getAnnouncements","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AnnouncementDTO"}}}}}},"security":[]}},"/v1/peoples/{id}/exist":{"get":{"tags":["people-controller"],"operationId":"isPeopleExist","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/v1/peoples/search_autocomplete":{"get":{"tags":["people-controller"],"operationId":"searchAutocompletePeoples","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string","maxLength":255,"minLength":0}},{"name":"rows","in":"query","required":true,"schema":{"type":"integer","format":"int32","maximum":50}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LightPeopleDTO"}}}}}}}},"/v1/peoples/search":{"get":{"tags":["people-controller"],"operationId":"searchPeoples","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":255,"minLength":0}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","maximum":50}},{"name":"sortField","in":"query","required":false,"schema":{"type":"string"}},{"name":"sortOrder","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SearchPeopleDTO"}}}}}}},"/v1/gazetteers/geonames/search":{"get":{"tags":["gazetteer-controller"],"summary":"Search place with GeoNames geographical webservice","operationId":"searchGeonames","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string","maxLength":255,"minLength":0}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"fr","maxLength":3,"minLength":0}},{"name":"countryId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"includeBbox","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Geoname"}}}}}}}},"/v1/files/{file_id}":{"get":{"tags":["file-controller"],"summary":"Download a file by its file id","operationId":"downloadFile","parameters":[{"name":"file_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}},"delete":{"tags":["file-controller"],"summary":"Delete a file in the user temp storage","operationId":"deleteFile","parameters":[{"name":"file_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/v1/files/users/storage_quota":{"get":{"tags":["file-controller"],"summary":"Get current user storage quota","operationId":"getQuota","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserQuotaDTO"}}}}}}},"/v1/files/datasets/{dataset_id}/versions/{version}":{"get":{"tags":["file-controller"],"summary":"List all user files linked to a dataset not published","operationId":"getUserDatasetFiles","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileDTO"}}}}}}}},"/v1/files/datasets/{dataset_id}/versions/{version}/":{"get":{"tags":["file-controller"],"summary":"List all user files linked to a dataset not published","operationId":"getUserDatasetFilesInfo","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileDTO"}}}}}}}},"/v1/datasets/{dataset_id}":{"get":{"tags":["dataset-controller"],"summary":"Get a private dataset by its id","operationId":"getDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"query","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DatasetDTO"}}}}}},"delete":{"tags":["dataset-controller"],"summary":"Delete a draft dataset by its id","operationId":"deleteDraftDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/v1/datasets/{dataset_id}/versions/{version}/files/{file_id}":{"get":{"tags":["dataset-controller"],"summary":"Download a private file by its id and dataset id + version","operationId":"downloadFileFromDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}},{"name":"file_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}}}},"/v1/datasets/{dataset_id}/download":{"get":{"tags":["dataset-controller"],"summary":"Download a private dataset by its id","operationId":"downloadDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"query","required":true,"schema":{"type":"string","enum":["DRAFT","RELEASED"]}},{"name":"format","in":"query","required":true,"schema":{"type":"string","enum":["PDF","JSON"]}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"fr"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/v1/datasets/{dataset_id}/contributors":{"get":{"tags":["dataset-controller"],"summary":"Get dataset contributors by its id","operationId":"getDatasetContributors","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserInfoDTO"}}}}}}}},"/v1/datasets/user":{"get":{"tags":["dataset-controller"],"summary":"Get my datasets","operationId":"getMyDatasets","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"versionState","in":"query","required":false,"schema":{"type":"string","enum":["Published","Unpublished","Draft","In+Review"]}},{"name":"roleIds","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDataDTO"}}}}}}},"/v1/datasets/check_url":{"get":{"tags":["dataset-controller"],"summary":"Check URL format (Dataverse rules)","operationId":"checkURL","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/v1/datasets/check_date":{"get":{"tags":["dataset-controller"],"summary":"Check date format (Dataverse rules)","operationId":"checkDate","parameters":[{"name":"date","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/v1/collections/user":{"get":{"tags":["collection-controller"],"summary":"Search collections for current user","operationId":"searchUserPortal","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"versionState","in":"query","required":false,"schema":{"type":"string","enum":["Published","Unpublished","Draft","In+Review"]}},{"name":"roleIds","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDataDTO"}}}}}}},"/v1/collections/datasets/{dataset_id}":{"get":{"tags":["collection-controller"],"summary":"Get collections linked to a dataset (draft or published)","operationId":"getPortalsByDatasetId","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CollectionItemDTO"}}}}}}}},"/v1/datasets/{dataset_id}/unlink/{collection_alias}":{"delete":{"tags":["dataset-controller"],"summary":"Unlink a dataset to a collection","operationId":"unlinkDataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"collection_alias","in":"path","required":true,"schema":{"type":"string","maxLength":255,"minLength":2}}],"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"UserAgreementDTO":{"type":"object","properties":{"hasAgreedTos":{"type":"boolean"}}},"PeopleDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"familyName":{"type":"string","minLength":1},"givenName":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"affiliation":{"type":"string"},"affiliationId":{"type":"string"},"identifier":{"type":"string"}},"required":["familyName"]},"CommonDTO":{"type":"object","properties":{"metadataLanguageId":{"type":"integer","format":"int32"},"metadataLanguage":{"type":"string"},"title":{"type":"string","minLength":1},"subtitle":{"type":"string"},"descriptions":{"type":"array","items":{"$ref":"#/components/schemas/DescriptionDTO"}},"subjectIds":{"type":"array","items":{"type":"integer","format":"int32"}},"subjects":{"type":"array","items":{"$ref":"#/components/schemas/SubjectDTO"}},"resourceTypeIds":{"type":"array","items":{"type":"integer","format":"int32"}},"resourceTypes":{"type":"array","items":{"$ref":"#/components/schemas/ResourceTypeDTO"}},"topicClassifications":{"type":"array","items":{"$ref":"#/components/schemas/TopicClassificationDTO"}},"keywords":{"type":"array","items":{"$ref":"#/components/schemas/KeywordDTO"}},"productionDate":{"type":"string"},"timePeriodBegin":{"type":"string"},"timePeriodEnd":{"type":"string"},"dateOfCollections":{"type":"array","items":{"$ref":"#/components/schemas/DateOfCollectionDTO"}}},"required":["title"]},"DatasetDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"createTime":{"type":"string","format":"date-time"},"lastUpdateTime":{"type":"string","format":"date-time"},"publicationDate":{"type":"string","format":"date-time"},"originalPublicationDate":{"type":"string","format":"date-time"},"depositor":{"type":"string"},"versionState":{"type":"string"},"repositoryPersistentId":{"type":"string"},"otherRepositoryPersistentId":{"type":"string"},"license":{"$ref":"#/components/schemas/LicenseDTO"},"constraints":{"type":"string"},"repositoryId":{"type":"integer","format":"int32"},"repositoryName":{"type":"string"},"repositoryCollection":{"type":"string"},"files":{"type":"array","items":{"$ref":"#/components/schemas/FileDTO"}},"downloadAllFilesURL":{"type":"string"},"common":{"$ref":"#/components/schemas/CommonDTO"},"peoples":{"type":"array","items":{"$ref":"#/components/schemas/PeopleDTO"},"maxItems":250,"minItems":0},"specifics":{"$ref":"#/components/schemas/SpecificDTO"},"resources":{"$ref":"#/components/schemas/ResourcesDTO"},"embargo":{"$ref":"#/components/schemas/EmbargoDTO"},"accessStatus":{"type":"string"},"dataverseContributors":{"type":"array","items":{"type":"string"}},"dataverses":{"type":"array","items":{"$ref":"#/components/schemas/DataverseDTO"}},"errorFilesMessage":{"type":"string"},"isHarvested":{"type":"boolean"}}},"DataverseDTO":{"type":"object","properties":{"alias":{"type":"string"}}},"DateOfCollectionDTO":{"type":"object","properties":{"dateOfCollectionStart":{"type":"string"},"dateOfCollectionEnd":{"type":"string"}}},"DescriptionDTO":{"type":"object","properties":{"summary":{"type":"string"},"langId":{"type":"integer","format":"int32"},"lang":{"type":"string"}}},"EmbargoDTO":{"type":"object","properties":{"endDate":{"type":"string"},"description":{"type":"string"},"isOpenAccess":{"type":"boolean"}}},"ExtentDTO":{"type":"object","properties":{"xmin":{"type":"number","format":"double"},"ymin":{"type":"number","format":"double"},"xmax":{"type":"number","format":"double"},"ymax":{"type":"number","format":"double"}}},"FileDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"filename":{"type":"string"},"description":{"type":"string"},"fileSize":{"type":"integer","format":"int64"},"checksum":{"type":"string"},"algo":{"type":"string"},"datasetId":{"type":"integer","format":"int64"},"status":{"type":"string","enum":["DRAFT","PUBLISHED","TO_REMOTE_DELETE"]},"publicFileURL":{"type":"string"},"unpublishedFileURL":{"type":"string"},"remoteFileId":{"type":"string"},"isRestricted":{"type":"boolean"}}},"FundingDTO":{"type":"object","properties":{"funder":{"type":"string"},"number":{"type":"string"}}},"KeywordDTO":{"type":"object","properties":{"term":{"type":"string"},"termURL":{"type":"string"},"vocabularyName":{"type":"string"},"vocabularyURI":{"type":"string"},"languageCode":{"type":"string"},"languageLabel":{"type":"string"}}},"LicenseDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"label":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"code":{"type":"string"},"order":{"type":"integer","format":"int32"},"icon":{"type":"string"}}},"ProjectDTO":{"type":"object","properties":{"title":{"type":"string"},"acronym":{"type":"string"},"url":{"type":"string"}}},"PublicationDTO":{"type":"object","properties":{"citation":{"type":"string"},"pid":{"type":"string"},"url":{"type":"string"}}},"ResourceTypeDTO":{"type":"object","properties":{"id":{"type":"string"},"label":{"type":"string"}}},"ResourcesDTO":{"type":"object","properties":{"dataSources":{"type":"array","items":{"type":"string"}},"publications":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDTO"}},"datasets":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDTO"}},"softwares":{"type":"array","items":{"$ref":"#/components/schemas/SoftwareDTO"}},"others":{"type":"array","items":{"type":"string"}},"projects":{"type":"array","items":{"$ref":"#/components/schemas/ProjectDTO"}},"fundings":{"type":"array","items":{"$ref":"#/components/schemas/FundingDTO"}},"dataManagementPlans":{"type":"array","items":{"type":"string"}},"readmes":{"type":"array","items":{"type":"string"}},"codeRepositories":{"type":"array","items":{"type":"string"}},"lineage":{"type":"string"},"datavizURL":{"type":"string"},"logoURL":{"type":"string"}}},"SoftwareDTO":{"type":"object","properties":{"name":{"type":"string"},"version":{"type":"string"}}},"SpecificDTO":{"type":"object","properties":{"countryId":{"type":"integer","format":"int32"},"country":{"type":"string"},"city":{"type":"string"},"otherGeographicCoverage":{"type":"string"},"scale":{"type":"string"},"resolution":{"type":"string"},"crsId":{"type":"integer","format":"int32"},"crsCode":{"type":"string"},"crsLabel":{"type":"string"},"extents":{"type":"array","items":{"$ref":"#/components/schemas/ExtentDTO"}},"isGeoreferenced":{"type":"boolean"}}},"SubjectDTO":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"}}},"TopicClassificationDTO":{"type":"object","properties":{"term":{"type":"string"},"vocabularyName":{"type":"string"},"vocabularyURI":{"type":"string"},"languageCode":{"type":"string"},"languageLabel":{"type":"string"}}},"DatasetMetadataBlock":{"type":"object","properties":{"displayName":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/Field"}}}},"DatasetVersion":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"datasetId":{"type":"integer","format":"int64"},"metadataLanguage":{"type":"string"},"versionState":{"type":"string"},"productionDate":{"type":"string"},"termsOfUse":{"type":"string"},"lastUpdateTime":{"type":"string","format":"date-time"},"createTime":{"type":"string","format":"date-time"},"publicationDate":{"type":"string","format":"date-time"},"metadataBlocks":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/DatasetMetadataBlock"}},"versionNumber":{"type":"integer","format":"int32"},"versionMinorNumber":{"type":"integer","format":"int32"},"license":{"$ref":"#/components/schemas/License"},"datasetPersistentId":{"type":"string"},"citation":{"type":"string"}}},"Field":{"type":"object","properties":{"typeName":{"type":"string"},"typeClass":{"type":"string"},"multiple":{"type":"boolean"},"value":{}}},"License":{"type":"object","properties":{"name":{"type":"string"}}},"Identifier":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"persistentId":{"type":"string"}}},"DuplicateDatasetDTO":{"type":"object","properties":{"datasetId":{"type":"integer","format":"int64"},"version":{"type":"string","enum":["DRAFT","RELEASED"]}},"required":["datasetId","version"]},"PersonDTO":{"type":"object","properties":{"uid":{"type":"string"},"givenName":{"type":"string"},"familyName":{"type":"string"},"email":{"type":"string"}}},"SearchPersonResponse":{"type":"object","properties":{"total":{"type":"integer","format":"int32"},"users":{"type":"array","items":{"$ref":"#/components/schemas/PersonDTO"}}}},"AffectationDTO":{"type":"object","properties":{"name":{"type":"string"},"rorId":{"type":"string"}}},"UserInfoDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"userId":{"type":"string"},"email":{"type":"string"},"hasAgreedTos":{"type":"boolean"},"affectation":{"$ref":"#/components/schemas/AffectationDTO"},"roles":{"type":"array","items":{"type":"string"}},"first_name":{"type":"string"},"last_name":{"type":"string"}}},"SearchUserDTO":{"type":"object","properties":{"identifier":{"type":"string"},"familyName":{"type":"string"},"givenName":{"type":"string"},"email":{"type":"string"}}},"SemanticArtefactDTO":{"type":"object","properties":{"id":{"type":"string","format":"url"},"prefLabel":{"type":"string"},"lang":{"type":"string"},"ontology":{"type":"string"},"ontologyURL":{"type":"string","format":"url"}}},"CodeListDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"label":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"code":{"type":"string"},"order":{"type":"integer","format":"int32"}}},"LanguageDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"code":{"type":"string"},"label":{"type":"string"},"order":{"type":"integer","format":"int32"}}},"CountryDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"code":{"type":"string"},"label":{"type":"string"},"bbox":{"type":"array","items":{"type":"number","format":"double"}}}},"CatalogSearchResponseDTO":{"type":"object","properties":{"q":{"type":"string"},"totalCount":{"type":"integer","format":"int32"},"countInResponse":{"type":"integer","format":"int32"},"start":{"type":"integer","format":"int32"},"items":{"type":"array","items":{"$ref":"#/components/schemas/ItemDTO"}},"totalCountPerObjectType":{"$ref":"#/components/schemas/TotalCountTypeDTO"},"facets":{"type":"array","items":{"$ref":"#/components/schemas/FacetDTO"}}}},"FacetDTO":{"type":"object","properties":{"field":{"type":"string"},"fieldName":{"type":"string"},"facetItems":{"type":"array","items":{"$ref":"#/components/schemas/FacetItemDTO"}}}},"FacetItemDTO":{"type":"object","properties":{"label":{"type":"string"},"count":{"type":"integer","format":"int32"}}},"ItemDTO":{"type":"object","properties":{"type":{"type":"string"},"name":{"type":"string"},"createdAt":{"type":"string"},"publishedAt":{"type":"string"},"originalPublishedAt":{"type":"string"},"updatedAt":{"type":"string"},"description":{"type":"string"},"entityId":{"type":"integer","format":"int32"},"publicationStatuses":{"type":"array","items":{"type":"string"}},"authors":{"type":"array","items":{"type":"string"}},"extents":{"type":"array","items":{"$ref":"#/components/schemas/ExtentDTO"}},"subjects":{"type":"array","items":{"type":"string"}},"topicClassifications":{"type":"array","items":{"type":"string"}},"dataTypes":{"type":"array","items":{"type":"string"}},"topicClassification":{"type":"string"},"subjectImageName":{"type":"string"},"doi":{"type":"string"},"repositoryPid":{"type":"string"},"logoURL":{"type":"string","format":"url"},"identifier":{"type":"string"},"datasetCount":{"type":"integer","format":"int32"},"openAccess":{"type":"boolean"},"isOpenAccess":{"type":"boolean"}}},"TotalCountTypeDTO":{"type":"object","properties":{"datasets":{"type":"integer","format":"int32"},"collections":{"type":"integer","format":"int32"}}},"CitationStyleDTO":{"type":"object","properties":{"code":{"type":"string"},"label":{"type":"string"}}},"FilesDTO":{"type":"object","properties":{"downloadAllFilesURL":{"type":"string"},"files":{"type":"array","items":{"$ref":"#/components/schemas/FileDTO"}},"errorFilesMessage":{"type":"string"}}},"CollectionItemDTO":{"type":"object","properties":{"type":{"type":"string"},"alias":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"datasetCount":{"type":"integer","format":"int32"},"publishedAt":{"type":"string"},"logoURL":{"type":"string","format":"url"},"footerLogoURL":{"type":"string","format":"url"}}},"CatalogSearchCollectionResponseDTO":{"type":"object","properties":{"q":{"type":"string"},"totalCount":{"type":"integer","format":"int32"},"countInResponse":{"type":"integer","format":"int32"},"start":{"type":"integer","format":"int32"},"items":{"type":"array","items":{"$ref":"#/components/schemas/CollectionItemDTO"}}}},"AnnouncementDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"message":{"type":"string"},"level":{"type":"string","enum":["INFO","WARNING","ERROR"]},"enabled":{"type":"boolean"},"dismissible":{"type":"boolean"}}},"LightPeopleDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"email":{"type":"string"}}},"SearchPeopleDTO":{"type":"object","properties":{"totalCount":{"type":"integer","format":"int32"},"countInResponse":{"type":"integer","format":"int32"},"start":{"type":"integer","format":"int32"},"items":{"type":"array","items":{"$ref":"#/components/schemas/PeopleDTO"}}}},"Bbox":{"type":"object","properties":{"east":{"type":"number","format":"double"},"south":{"type":"number","format":"double"},"north":{"type":"number","format":"double"},"west":{"type":"number","format":"double"}}},"Geoname":{"type":"object","properties":{"bbox":{"$ref":"#/components/schemas/Bbox"},"toponymName":{"type":"string"},"countryName":{"type":"string"},"countryCode":{"type":"string"},"adminName1":{"type":"string"}}},"UserQuotaDTO":{"type":"object","properties":{"storageUsed":{"type":"integer","format":"int64"}}},"StreamingResponseBody":{},"UserDataDTO":{"type":"object","properties":{"totalCount":{"type":"integer","format":"int32"},"countInResponse":{"type":"integer","format":"int32"},"start":{"type":"integer","format":"int32"},"items":{"type":"array","items":{"$ref":"#/components/schemas/UserDataItemDTO"}}}},"UserDataItemDTO":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"entityId":{"type":"integer","format":"int32"},"pid":{"type":"string"},"versionState":{"type":"string"},"publicationStatuses":{"type":"array","items":{"type":"string"}},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"alias":{"type":"string"}}}},"securitySchemes":{"bearer-key":{"type":"http","name":"bearer-key","in":"header","scheme":"bearer","bearerFormat":"JWT"}}}}